<?php
require_once '../includes/config.php';
require_once '../includes/functions.php';

// Check if admin is logged in
if (isAdminLoggedIn()) {
    // Update last login time
    $adminId = $_SESSION['admin_id'];
    $db = getDB();
    $conn = $db->getConnection();
    
    $stmt = $conn->prepare("UPDATE admins SET last_logout = NOW() WHERE id = ?");
    $stmt->bind_param("i", $adminId);
    $stmt->execute();
    
    // Clear admin session
    unset($_SESSION['admin_id']);
    unset($_SESSION['admin_username']);
    unset($_SESSION['admin_role']);
    unset($_SESSION['admin_login_time']);
    
    // Optional: Destroy the entire session
    // session_destroy();
}

// Set flash message
setFlashMessage('You have been successfully logged out.', 'success');

// Redirect to login page
redirect(ADMIN_URL . '/login.php');