<?php
// File: /dashboard/get_data_type_for_plan.php
require_once '../includes/config.php';
require_once '../includes/functions.php';

// Check if user is logged in
if (!isLoggedIn()) {
    echo json_encode(['success' => false, 'message' => 'Unauthorized']);
    exit;
}

// Get plan ID
$planId = isset($_GET['plan_id']) ? (int)$_GET['plan_id'] : 0;

if ($planId <= 0) {
    echo json_encode(['success' => false, 'message' => 'Invalid plan ID']);
    exit;
}

// Get database connection
$db = getDB();
$conn = $db->getConnection();

// Get data type ID for the plan
$stmt = $conn->prepare("SELECT data_type_id FROM data_plans WHERE id = ?");
$stmt->bind_param("i", $planId);
$stmt->execute();
$result = $stmt->get_result();
$row = $result->fetch_assoc();

if (!$row) {
    echo json_encode(['success' => false, 'message' => 'Plan not found']);
    exit;
}

echo json_encode([
    'success' => true,
    'data_type_id' => $row['data_type_id']
]);
?>