<?php
// File: /dashboard/get_data_type_for_plan.php
require_once '../includes/config.php';
require_once '../includes/functions.php';

// Check if user is logged in
if (!isLoggedIn()) {
    echo json_encode(['success' => false, 'message' => 'Unauthorized']);
    exit;
}

// Get plan ID from query params
$plan_id = isset($_GET['plan_id']) ? (int)$_GET['plan_id'] : 0;

if ($plan_id <= 0) {
    echo json_encode(['success' => false, 'message' => 'Invalid plan ID']);
    exit;
}

// Get database connection
$db = getDB();
$conn = $db->getConnection();

// Get data type ID for this plan
$stmt = $conn->prepare("SELECT data_type_id FROM data_plans WHERE id = ?");
$stmt->bind_param("i", $plan_id);
$stmt->execute();
$result = $stmt->get_result();
$plan = $result->fetch_assoc();

if (!$plan) {
    echo json_encode(['success' => false, 'message' => 'Plan not found']);
    exit;
}

// Return data type ID
echo json_encode([
    'success' => true,
    'data_type_id' => $plan['data_type_id']
]);
?>